# $Revision: 1.10 $, $Date: 2007/01/08 17:09:19 $
Summary:	Portable mail access library
Summary(pl):	Przenona biblioteka dostpu do poczty
Name:		libetpan
Version:	0.49
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libetpan/%{name}-%{version}.tar.gz
# Source0-md5:	f6c973ea1aa53d947f034e093960da10
Patch0:		%{name}-db.patch
URL:		http://www.etpan.org/
BuildRequires:	autoconf
BuildRequires:	db-devel >= 4
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this mail library is to provide a portable, efficient
middleware for different kinds of mail access. It will be used for
low-level mail handling: network protocols (IMAP/NNTP/POP3/SMTP over
TCP/IP and SSL/TCP/IP, already implemented), local storage
(mbox/MH/maildir), message / MIME parser.

%description -l pl
Celem biblioteki jest udostpnienie przenonego, efektywnego
porednika dla rnych metod dostpu do poczty. Pozwala na: obsug
rnych protokow sieciowych (IMAP/NNTP/POP3/SMTP przez TCP/IP oraz
SSL/TCP/IP), obsug lokalnych zasobw (mbox/MH/maildir) czy
parsowanie wiadomoci MIME.

%package devel
Summary:	Header files for libEtPan
Summary(pl):	Pliki nagwkowe biblioteki libEtPan
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	db-devel >= 4
Requires:	openssl-devel

%description devel
Header files for libEtPan library.

%description devel -l pl
Pliki nagwkowe biblioteki libEtPan.

%package static
Summary:	Static libEtPan library
Summary(pl):	Statyczna biblioteka libEtPan
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libEtPan library.

%description static -l pl
Statyczna biblioteka libEtPan.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog TODO NEWS
%attr(755,root,root) %{_libdir}/*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/API/*.htm
%attr(755,root,root) %{_bindir}/libetpan-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libetpan.spec,v $
Revision 1.10  2007/01/08 17:09:19  megabajt
- up to 0.49 (new soname)

Revision 1.9  2006/11/07 16:37:19  megabajt
- up to 0.48
- added API docs

Revision 1.8  2006/09/30 14:06:22  megabajt
- add db patch
- rel. 2

Revision 1.7  2006/08/08 18:14:59  jackass
- up to 0.46 by Tomasz Rutkowski <alucard at nospheratu.net>

Revision 1.6  2006/06/05 12:04:42  luzik
- updated to 0.45

Revision 1.5  2005/12/10 16:23:02  mwinkler
- updated to 0.41, rel 1

Revision 1.4  2005/10/19 10:40:35  luzik
- updated to 0.39 (mostly fixes)

Revision 1.3  2005/10/07 08:07:55  qboosh
- devel deps, release 2

Revision 1.2  2005/07/07 16:28:03  qboosh
- missing pl summaries

Revision 1.1  2005/07/04 20:36:11  undefine
- by Piotr Budny piotr.budny w gmail.com (@pld-devel-pl)
